Subject: Re: Kernel panic: No init found.?? Try passing init= option to kernel

From: Mark Hatle <[email-masked]>
Date: Wed, 13 Aug 2003 21:33:38 -0500

Mike G. wrote:
> Hi there,
> Kernel panic: No init found.  Try passing init= option to kernel.

That message indicates one of a few things happened.

The first is it could not find any default init programs to run.

the second is whatever "init=" that you passed in was not found.

or...

third, the most common, you have a bad dependency, so when it tries to
run init the dynamic loader fails, (shell loader fails in the case of a
shell script.)  Something is causing the program not to run properly.

The way I usually debug this is to install ash.static on the system, set
my kernel command line to have init=/bin/ash.static..  boot up and then
attempt to run the "real" init manually so I can get the descriptive
error messages.

--Mark

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/